Keystone-rest-definition
    • Company information data
      GET
    • Get trips data authorized at gate
      GET
    • Retrieve inspections by country code and plate number
      GET
    • Send inspection related to a trip
      POST
    • Send alert related to a trip
      POST
    • Get trips data authorized at gate
      GET
    • Login validation
      POST
    • Get the alerts by filters
      GET
    • Number of trucks per gate
      GET
    • Get all phases
      GET
    • Get current trip data
      GET
    • Get the driver traffic violation data
      GET
    • Get the driver tachograph data
      GET
    • Set loading data per trip
      POST
    • Get the truck inspection data
      GET
    • Get trips data scheduled to arrive at location within number of hours
      GET
    • Get trips data
      GET
    • Terminal information data
      GET
    • Get the driver license data
      GET
    • Get CMR data
      GET
    • Get eta
      GET
    • Get the truck insurance data
      GET
    • Get the truck owner data
      GET
    • Get unloading data per trip
      GET
    • Get the driver professional qualification certificate data
      GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
      • Schemas
        • company
        • tachograph
        • trafficViolationData
        • terminal
        • pdqc

      Send alert related to a trip

      POST
      /alerts/upload/alert

      Request

      Body Params application/json

      Examples

      Responses

      🟢200OK
      OK
      This response does not have a body.
      🔴500Server Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST '/alerts/upload/alert' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "userId": "string",
          "tripId": "string",
          "timestamp": "2024-01-01T12:30:00Z",
          "alertType": "string",
          "message": "string",
          "location": {
              "locationDescription": "string",
              "latitude": 0,
              "longitude": 0,
              "locationType": "string",
              "internationalCode": "string"
          }
      }'
      Modified at 2025-05-26 08:05:05
      Previous
      Send inspection related to a trip
      Next
      Get trips data authorized at gate
      Built with